ProblemMetricInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.ext.ProblemMetricInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.ext
Class ProblemMetricInfo

    java.lang.Object
      org.hyperic.hq.measurement.ext.ProblemMetricInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ProblemMetricInfo

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

Encapsulate measurement information for problem metrics

See Also:
  Serialized Form

Field Summary
`static int` | `FLAG_ALERTS`
`static int` | `FLAG_HIGH`
`static int` | `FLAG_LOW`
`static int` | `FLAG_OOB`
`static int` | `FLAG_OUTLIER`

Constructor Summary
`ProblemMetricInfo()`
`ProblemMetricInfo(MeasurementTemplate tmpl)`
`ProblemMetricInfo(MeasurementTemplate tmpl, AppdefEntityID aid)`
`ProblemMetricInfo(MeasurementTemplate tmpl, AppdefEntityID aid, double[] data)`

Method Summary
`void` | `addOutlier(AppdefEntityID aeid)` Add outlier entity
`void` | `addToProblem(ProblemMetricInfo pmi)` Accumulate the problems from another entity
`int` | `compareTo(java.lang.Object o)`
`int` | `getAlertCount()`
`double[]` | `getMeasurementData()`
`MeasurementTemplate` | `getMeasurementTemplate()`
`java.lang.Integer` | `getMetricId()`
`int` | `getOobCount()`
`int` | `getOverCount()`
`java.util.HashSet` | `getProblemEntities()`
`AppdefEntityID[]` | `getProblemEntitiesArray()`
`int` | `getProblemEntitiesSize()`
`long` | `getProblemTime()`
`int` | `getProblemType()`
`int` | `getUnderCount()`
`boolean` | `hasAlerts()`
`boolean` | `hasHigh()`
`boolean` | `hasLow()`
`void` | `registerProblemTime(long time)` Register another problem time, compare it to existing earliest time
`void` | `setAlertCount(int i)`
`void` | `setMeasurementData(double[] val)`
`void` | `setMeasurementTemplate(MeasurementTemplate val)`
`void` | `setMetricId(java.lang.Integer metricId)`
`void` | `setOverCount(int i)`
`void` | `setProblemCount(ProblemCount cnt)`
`void` | `setProblemType(int i)`
`void` | `setUnderCount(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_ALERTS

    public static final int FLAG_ALERTS

See Also:
  Constant Field Values

### FLAG_HIGH

    public static final int FLAG_HIGH

See Also:
  Constant Field Values

### FLAG_LOW

    public static final int FLAG_LOW

See Also:
  Constant Field Values

### FLAG_OOB

    public static final int FLAG_OOB

See Also:
  Constant Field Values

### FLAG_OUTLIER

    public static final int FLAG_OUTLIER

See Also:
  Constant Field Values

Constructor Detail

### ProblemMetricInfo

    public ProblemMetricInfo()

### ProblemMetricInfo

    public ProblemMetricInfo(MeasurementTemplate tmpl)

### ProblemMetricInfo

    public ProblemMetricInfo(MeasurementTemplate tmpl,
                             AppdefEntityID aid)

### ProblemMetricInfo

    public ProblemMetricInfo(MeasurementTemplate tmpl,
                             AppdefEntityID aid,
                             double[] data)

Method Detail

### getMeasurementTemplate

    public MeasurementTemplate getMeasurementTemplate()

### setMeasurementTemplate

    public void setMeasurementTemplate(MeasurementTemplate val)

### getMeasurementData

    public double[] getMeasurementData()

### setMeasurementData

    public void setMeasurementData(double[] val)

### getProblemType

    public int getProblemType()

### getProblemTime

    public long getProblemTime()

### setProblemType

    public void setProblemType(int i)

### getAlertCount

    public int getAlertCount()

### setAlertCount

    public void setAlertCount(int i)

### getProblemEntities

    public java.util.HashSet getProblemEntities()

  Returns:
    the array of appdef entities that have problems

### getProblemEntitiesArray

    public AppdefEntityID[] getProblemEntitiesArray()

  Returns:
    the array of appdef entities that have problems

### getProblemEntitiesSize

    public int getProblemEntitiesSize()

  Returns:
    the number of appdef entities that have problems

### hasAlerts

    public boolean hasAlerts()

  Returns:
    problem type of alerts by performing bitwise operation on flag

### hasHigh

    public boolean hasHigh()

  Returns:
    problem type of over max by performing bitwise operation on flag

### hasLow

    public boolean hasLow()

  Returns:
    problem type of under min by performing bitwise operation on flag

### addToProblem

    public void addToProblem(ProblemMetricInfo pmi)

  Accumulate the problems from another entity

  Parameters:
    `pmi` - the additional ProblemMetricInfo to add to the current one

### getOobCount

    public int getOobCount()

### getOverCount

    public int getOverCount()

### getUnderCount

    public int getUnderCount()

### setOverCount

    public void setOverCount(int i)

### setUnderCount

    public void setUnderCount(int i)

### setProblemCount

    public void setProblemCount(ProblemCount cnt)

### setMetricId

    public void setMetricId(java.lang.Integer metricId)

  Parameters:
    `metricId` - The metricId to set.

### getMetricId

    public java.lang.Integer getMetricId()

  Returns:
    Returns the metricId.

### addOutlier

    public void addOutlier(AppdefEntityID aeid)

  Add outlier entity

### registerProblemTime

    public void registerProblemTime(long time)

  Register another problem time, compare it to existing earliest time

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.